#
# spec file for package rubygem-ruby-augeas
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-ruby-augeas
Version:        0.5.0
Release:        lp150.1.12
%define mod_name ruby-augeas
%define mod_full_name %{mod_name}-%{version}
# MANUAL
BuildRequires: pkgconfig
BuildRequires: augeas-devel
%if 0%{?suse_version} == 1110
BuildRequires: libxml2-devel
%endif
# /MANUAL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{rubydevel >= 1.8.1}
BuildRequires:  %{rubygem gem2rpm}
Url:            http://augeas.net/
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
# MANUAL
Patch0:  COPYING.patch
# /MANUAL
Summary:        Ruby bindings for augeas
License:        LGPL-2.1+
Group:          Development/Languages/Ruby

%description
Provides bindings for augeas.

%prep
%gem_unpack
%patch0 -p0
find -type f -print0 | xargs -0 touch -r %{S:0}
%gem_build

%build

%install
%gem_install \
  --doc-files="COPYING README.rdoc" \
  -f
%gem_cleanup

%gem_packages

%changelog
* Wed Mar 23 2016 olaf@aepfle.de
- Force fixed timestamps for patched gems (bsc#916047)
* Fri May 15 2015 kstreitova@suse.com
- Submit systemsmanagement:puppet rubygem-ruby-augeas to
  SUSE:SLE-12-SP1:GA (fate#316705)
* Wed Jan 21 2015 tampakrap@opensuse.org
- Use SPDX license format
- Fix FSF address in license content
- Add libxml2-devel dependency only on suse_version == 1110
- Add augeas runtime dependency
* Sun Feb 16 2014 kkaempf@suse.com
- use new macros
* Sat Apr 13 2013 boris@steki.net
- fixing build:
  - added buildreqs augeas-devel and pkg-config requirements
* Sat Apr 13 2013 coolo@suse.com
- updated to version 0.5.0
  - add libxml2 headers and library to Makefile
  - add libxml2-devel build req to rpm spec
  - split out header, add memstream utils from Augeas
  - integrate with Travis CI
  - Takefile: add gem authors metadata
  - Augeas::transform: add .lns suffix if a module name is passed
    to match aug_transform behaviour
  - add Augeas::clearm
  - add Augeas::context and Augeas::context=
  - add Augeas::label
  - add Augeas::rename
  - add Augeas::srun
  - add Augeas::text_retrieve
  - add Augeas::text_store
* Thu Jul 19 2012 mvidner@suse.cz
- Updated to 0.4.1, reportedly works better with Ruby 1.9
  - set can now set multiple elements at once
  - expose aug_setm as Augeas#setm
  - expose error functions through Augeas#error
  - expose aug_span as Augeas#span
* Thu Nov 11 2010 mvidner@novell.com
- Initial packaging
- 0.3.0
